"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.assertText = void 0;
const assertText = async (pageOrFrame, text, options = {}) => {
    const selector = options.selector || "body";
    try {
        await pageOrFrame.waitForFunction(({ selector, text }) => {
            const element = document.querySelector(selector);
            if (!element)
                return false;
            const elementText = element.value || element.innerText || "";
            return elementText.includes(text);
        }, { selector, text }, { polling: 100, timeout: (options || {}).timeout || 30000 });
    }
    catch (error) {
        if (error.message.includes("waitForFunction: Timeout")) {
            throw new Error(`assertText: "${text}" not found in "${selector}"`);
        }
        throw error;
    }
};
exports.assertText = assertText;
//# sourceMappingURL=assertText.js.map