"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const dockerode_1 = __importDefault(require("dockerode"));
async function getDocker() {
    let docker = null;
    let dockerIsRunning = false;
    try {
        docker = new dockerode_1.default();
        const pingResponseBuffer = await docker.ping();
        dockerIsRunning = (pingResponseBuffer === null || pingResponseBuffer === void 0 ? void 0 : pingResponseBuffer.toString("utf8")) === "OK";
    }
    catch (error) {
        console.error("\nQA Wolf requires that Docker be installed and running on this computer.\nYou can install it from https://www.docker.com/products/docker-desktop\n");
    }
    return {
        docker,
        dockerIsRunning,
    };
}
exports.default = getDocker;
//# sourceMappingURL=getDocker.js.map