"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("./constants");
async function getRunnerContainer(docker) {
    const container = docker.getContainer(constants_1.DOCKER_CONTAINER_NAME);
    const response = {
        container: null,
        isRunning: false,
    };
    try {
        const inspectResult = await Promise.race([
            container.inspect(),
            // workaround since docker modem does not resolve 404 🤷
            new Promise((resolve) => setTimeout(() => resolve(null), 1000)),
        ]);
        if (inspectResult) {
            response.container = container;
            response.isRunning = inspectResult === null || inspectResult === void 0 ? void 0 : inspectResult.State.Running;
        }
    }
    catch (error) { }
    return response;
}
exports.default = getRunnerContainer;
//# sourceMappingURL=getRunnerContainer.js.map